#include <fstream>
using namespace std;
int main()
{
    ifstream f1("soht.inp");
    int n;
    f1>>n;
    f1.close();
    int dem=0;
    ofstream f2("soht.out");
    for(int i=1;i<n;i++){
        for(int j=1;j<=i;j++){
            if(i%j==0){
            dem=dem+j;}
        }
        if(dem==i){
           f2<<i<<endl;
        }
    }
    f2.close();
    return 0;
}
